OCTCRYPTO(4)

NAME
octcrypto - OCTEON cryptographic unit

SYNOPSIS
octcrypto0 at mainbus0

DESCRIPTION
The octcrypto driver utilizes the OCTEON cryptographic unit to provide a hardware-accelerated implementation of the following algorithms for ipsec(4):

AES-CBC
AES-CTR
AES-GCM
AES-GMAC
HMAC-MD5
HMAC-SHA1
HMAC-SHA2-256
HMAC-SHA2-384
HMAC-SHA2-512

SEE ALSO
intro(4), ipsec(4), crypto(9)

HISTORY
The octcrypto driver first appeared in OpenBSD 6.4.